@media (min-width: 992px) {
    .container {
        padding-left: 32px;
        padding-right: 32px;
    }
}

@media (max-width: 1320px) {
    #order_form_content {
        flex-direction: column;
        gap: 50px
    }
    .tf-page-cart-footer .tf-page-cart-checkout {
        margin: auto;
    }
}

@media (max-width: 1199.98px) {
    .header__main svg {
        width: 26px;
        height: 26px;
    }

    .header__logo svg {
        width: 200px;
        height: 43px;
    }

    .header__count {
        top: -12px;
        right: -12px;
        font-size: 11px;
        width: 17px;
        height: 17px;
    }

    .header__personal {
        margin-right: 15px;
    }
    
    .header__cart-total {
        font-size: 15px;
        margin-top: 1px;
    }

    .header__cart {
        gap: 8px
    }

    .main-menu__list {
        gap: 70px
    }

    .main-menu__link {
        font-size: 14px;
    }

    .h1-section {
        padding: 40px 0;
    }

    .h1-section h1 {
        font-size: 32px;
        margin: 0px 0 15px;
    }

    .section-basic {
        padding: 40px 0 80px;
    }

    .widget-facet:not(:last-child) {
        margin-bottom: 50px;
    }
    .facet-title {
        font-size: 18px;
        margin-bottom: 20px;
        padding-bottom: 20px;
    }
    .list-categoris li {
        font-size: 15px;
    }
    .list-categoris li.cate-item:not(:last-child) {
        margin-bottom: 10px;
    }

    .list-item label {
        font-size: 15px;
    }

    .tf-filter-group .list-item:not(:last-child) {
        margin-bottom: 16px; 
    }
    .tf-grid-layout.tf-col-3 {
        grid-template-columns: repeat(2, 1fr);
    }

    .tf-shop-sidebar {
        flex: 0 0 250px;
    }
}




@media (max-width: 991px) {
    .container {
        padding-left: 24px;
        padding-right: 24px;
    }

    .menu-burger {
        display: flex;
    }
    .main-menu__close-wrapper {
        display: flex;
    }
    .menu-burger.active span:nth-child(1) { transform: translateY(8px) rotate(45deg); }
    .menu-burger.active span:nth-child(2) { opacity: 0; }
    .menu-burger.active span:nth-child(3) { transform: translateY(-9px) rotate(-45deg); }

    .main-menu__list {
        position: fixed;
        top: 0;
        right: -100%;
        width: 300px;
        height: 100vh;
        background: #fff;
        flex-direction: column;
        justify-content: flex-start;
        gap: 0;
        /* padding: 60px 20px 20px; */
        padding: 10px 0 20px;
        box-shadow: 2px 0 10px rgba(0,0,0,0.1);
        transition: right 0.4s ease-in-out;
        z-index: 1000;
        overflow-y: auto;
    }

    .main-menu__list.active {
        right: 0;
    }

    .main-menu__item {
        padding: 15px 0 0;
        border-bottom: 1px solid #eee;
        width: 100%;
    }

    .main-menu__link {
         padding: 14px 20px;
    }

    .main-menu__dropdown {
        position: static;
        background: #fafafa;
        border-top: 1px solid #f0f0f0;
        transform: none !important;
        opacity: 1;
        visibility: visible;
        box-shadow: none;
        padding: 10px 0 10px 15px;
        display: none;
        min-width: auto;
    }

    .main-menu__item.active .main-menu__dropdown {
        display: block;
    }

    .mega_items .main-menu__mega-cols, 
    .main-menu__mega-cols {
        flex-direction: column;
        gap: 20px;
        columns: auto;
        display: block;
    }

    .main-menu__col {
        margin-bottom: 20px; 
    }

    .main-menu__col-title {
        margin: 10px 0;
        font-size: 13px;
        color: #888;
    }

    .main-menu__sublist li {
        white-space: normal;
    }

    body:has(.main-menu__list.active)::after {
        content: "";
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.5);
        z-index: 999;
    }

    .header__top {
        font-size: 13px;
        font-weight: 500;
        padding: 10px 0;
    }

    .header__top-menu {
        gap: 40px;
    }

    .header__main {
        padding: 35px 0;
    }

    .header__favorites {
        margin-right: 35px;
    }

    .footer-top {
        gap: 20px 35px;
    }

    .footer-title {
        font-size: 17px;
    }

    .footer-top li {
        margin-bottom: 8px;
        font-size: 14px;
    }

    .footer-bottom {
        font-size: 14px;
    }

    .h1-section {
        padding: 30px 0;
    }

    .h1-section h1 {
        font-size: 28px;
    }
    h1.h1-frontpage {
        font-size: 28px;
    }
    .bx-breadcrumb-item span {
        font-size: 14px;
    }

    .bx-breadcrumb-item svg {
        width: 8px;
        height: 8px;
    }

    .tf-grid-layout.tf-col-3 {
        grid-template-columns: repeat(3, 1fr);
    }


    .tf-row-flex {
        flex-direction: column-reverse;
    }

    .product__wrap {
        gap: 20px;
    }
    
    .tf-cart-item_img img {
        width: 90px;
        height: 90px;
    }

    .tf-table-page-cart th, .tf-table-page-cart td {
        padding: 10px 15px;
    }

    .tf-cart-item_product a {
        font-size: 14px;
    }
    .tf-cart-item_price .price, .tf-cart-item_total .price {
        font-size: 18px;
    }
    .tf-cart-item_quantity .wg-quantity {
        font-size: 16px;
    }
    .tf-cart-item_quantity input {
        margin: 0px 3px;
        width: 30px;
    }

    .tf-page-cart-footer {
        margin-top: 50px;
    }

    .tf-cart-footer-inner {
        flex-direction: column;
            align-items: center
    }

    .double-block__text-title {
        font-size: 28px;
    }

}







@media (max-width: 820px) {
    .header__cart-text {
        display: none;
    }
    .header__favorites {
        margin-right: 20px;
    }
}




@media (max-width: 782px) {
    .tf-grid-layout.wrapper-shop {
        grid-template-columns: repeat(2, 1fr);
        gap: 50px 20px;
    }
}


@media (max-width: 767.98px) {
    .product {
        margin: 15px 0 50px;
    }

    .product__wrap {
        flex-direction: column;
    }

    .product__image {
        width: 100%;
        position: static;
        margin: auto;
        max-width: 480px;
    }
    .product__title {
        margin-top: 0;
    }

    .product__price {
        margin: 25px 0;
    }
    .product__data {
        margin: 30px 0 25px;
    }

    .product__description {
        margin-bottom: 20px;
    }
}


@media (max-width: 720px) {
    .footer-top {
        gap: 20px 32px;
        flex-wrap: wrap;
    }
    .footer-top__block {
        flex: 0 0 calc(50% - 16px);
    }
    /*
    .tf-table-page-cart {
        display: flex;
        flex-direction: column;
    }
    .tf-table-page-cart tr {
        display: flex;
        flex-direction: column;
    }
    */
    .tf-page-cart-item {
        width: 100%;
        overflow-x: auto;
    }
     .tf-table-page-cart {
        width: 100%;
        min-width: 800px;
        border-collapse: collapse;
     }
}


@media (max-width: 575.98px) {
    .container {
        padding-left: 15px;
        padding-right: 15px;
    }
    .header__top {
        font-size: 12px;
    }

    .header__top-menu {
        gap: 20px;
    }
    .header__main-container {
        gap: 20px
    }
    .header__logo svg {
        width: 152px;
        height: 33px;
    }

    .menu-burger {
        margin: auto 0 auto 15px;
        width: 25px;
    }
    .header__search {
        order: 3
    }
    .header__logo {
        order: 1;
        flex-basis: 100%  !important;
        text-align: left;
    }
    .header__actions  {
        order: 2
    }
    .footer-top__block {
        flex: 0 0 100%;
        text-align: center;
    }
    .h1-section {
        padding: 25px 0;
    }

    .h1-section h1 {
        font-size: 24px;
        margin: 0px 0 10px;
    }

    .tf-grid-layout.wrapper-shop {
        grid-template-columns: repeat(1, 1fr);
        gap: 50px 20px;
    }

    .product__title {
        font-size: 20px;
    }
    .product__title-eng {
        font-size: 16px;
    }
    .product__price .price,
    .product__price .price-on-sale {
        font-size: 22px;
    }

    .product__buy-button {
        width: 190px;
        height: 46px;
    }
    .product__buy-button span {
        font-size: 15px;
    }

    .product__buy .wg-quantity input {
        margin: 0 3px;
    }

    .product__buy > form {
        gap: 20px;
    }

    .product__data {
        font-size: 14px;
    }

    .product__description {
        font-size: 13px;
    }

    .toggle-inner {
        font-size: 14px;
    }

    .tf-free-shipping-bar-inputs {
        flex-direction: column;
    }

    .tf-free-shipping-bar input[type="submit"] {
        height: 42px;
    }

    .tf-free-shipping-bar-title {
        text-align: center;
    }

    .double-block__text {
        font-size: 14px;
    }
    .double-block__text-title {
        font-size: 24px;
        margin-bottom: 20px;
    }
}


@media (max-width: 419px) {
    .header__top {
        display: none;
    }
    .header__main {
        padding: 25px 0;
    }
    .header__logo svg {
        width: 130px;
        height: 28px;
    }
    .menu-burger {
        margin: 0;
    }
    .tf-page-cart-checkout {
        padding: 25px;
    }
}

@media (max-width: 379px) {
    .header__main svg {
        width: 23px;
        height: 23px;
    }
    .header__logo svg {
        width: 130px;
        height: 28px;
    }

    .header__personal {
        display: none;
    }

    .product__buy-button {
        width: 160px;
        height: 46px;
    }
    .product__buy-button span {
        font-size: 14px;
    }

    .product__buy .wg-quantity input {
        width: 35px;
    }

    .tf-cart-totals-discounts .total-value_total {
        font-size: 20px;
    }

    h3.tf-cart-totals-total {
        margin-bottom: 0;
    }
}
